#include <iostream>

using namespace std;

int main()
{
    int mod=1000000007;
    int n;
    cin>>n;
    char s[n];
    for(int i=0;i<n;i++)
        cin>>s[i];
    long long a[27];
    a[0]=1;
    for(int i=1;i<27;i++)
        a[i]=0;
    for(int i=0;i<n;i++)
        for(int j=1;j<27;j++)
            if(s[i]=='A'+j-1)
                a[j]=(a[j-1]+a[j]) % mod;
    cout<<a[26];
}